pofilter(1)

NAME
pofilter - Perform quality checks on Gettext PO, XLIFF and TMX localization files

SYNOPSIS

pofilter [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-l|--listfilters] [--review] [--noreview] [--fuzzy] [--nofuzzy] [--nonotes] [--autocorrect] [--language LANG] [--openoffice] [--mozilla] [--drupal] [--gnome] [--kde] [--wx] [--excludefilter FILTER] [-t|--test FILTER] [--notranslatefile FILE] [--musttranslatefile FILE] [--validcharsfile FILE]

DESCRIPTION
Snippet files whenever a test fails. These can be examined, corrected and merged back into the originals using pomerge See: http://translate.sourceforge.net/wiki/toolkit/pofilter for examples and usage instructions and http://translate.sourceforge.net/wiki/toolkit/pofilter_tests for full descriptions of all tests

OPTIONS

--version
    show program's version number and exit

-h/--help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress
    show progress as: dots, none, bar, names, verbose

--errorlevel
    show errorlevel as: none, message, exception, traceback

-i/--input
    read from INPUT in tmx, xlf, pot, xliff, po formats

-x/--exclude
    exclude names matching EXCLUDE from input paths

-o/--output
    write to OUTPUT in tmx, xlf, pot, po, xliff formats

-l/--listfilters
    list filters available

--review
    include units marked for review (default)

--noreview
    exclude units marked for review

--fuzzy
    include units marked fuzzy (default)

--nofuzzy
    exclude units marked fuzzy

--nonotes
    don't add notes about the errors

--autocorrect
    output automatic corrections where possible rather than describing issues

--language
    set target language code (e.g. af-ZA) [required for spell check and recommended in general]

--openoffice
    use the standard checks for OpenOffice translations

--mozilla
    use the standard checks for Mozilla translations

--drupal
    use the standard checks for Drupal translations

--gnome
    use the standard checks for Gnome translations

--kde
    use the standard checks for KDE translations

--wx
    use the standard checks for wxWidgets translations

--excludefilter
    don't use FILTER when filtering

-t/--test
    only use test FILTERs specified with this option when filtering

--notranslatefile
    read list of untranslatable words from FILE (must not be translated)

--musttranslatefile
    read list of translatable words from FILE (must be translated)

--validcharsfile
    read list of all valid characters from FILE (must be in UTF-8)